﻿using UnityEditor;
using UnityEngine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Perforce.P4;

namespace P4Connect
{
	public class Queries
	{
		/// <summary>
		/// Returns the state of the passed in file
		/// </summary>
		public static FileState GetFileState(string assetPath)
		{
			return Engine.GetFileState(assetPath);
		}

		/// <summary>
		/// Returns the state of the passed in file on the server (if checked out by someone else for instance)
		/// </summary>
		public static RevisionState GetRevisionState(string assetPath)
		{
			return Engine.GetRevisionState(assetPath);
		}
	}
}
